Bug 529864 - Protocol does not roll back when set from configuration file
Protocol does not roll back when set from configuration file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nfs-utils (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-20 10:05 EDT by Steve Dickson
Modified: 2009-11-12 10:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-12 10:29:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Dickson 2009-10-20 10:05:59 EDT
Description of problem:
When the network protocol is set in the mounting 
configuration file (/etc/nfsmount.conf) and the
server does not support that protocol the mount
fails.

Version-Release number of selected component (if applicable):
nfs-utils-1.2.0-16.fc12

How reproducible:
Set the proto=tcp in /etc/nfsmount.conf and try to
mount an older server that only support UDP.

Actual results:
The mount fails

Expected results:
The mount should roll back to use the UDP network protocol

Additional info:
Comment 1 Steve Dickson 2009-10-23 08:15:08 EDT
Fixed in nfs-utils-1.2.0-17.fc12

    http://koji.fedoraproject.org/koji/buildinfo?buildID=137893

Note You need to log in before you can comment on or make changes to this bug.